API Reference
Uploads
Upload videos and check processing status via the Client API
Upload Video
POST /uploadsUpload a video file for processing. Returns right away with 202 Accepted.
Request
multipart/form-data:
| Field | Type | Required | Description |
|---|---|---|---|
video | file | Yes | Video file |
folder | string | Yes | Target collection path (e.g. root/marketing) |
Example request
curl -X POST "https://your-domain.com/api/client/v1/uploads" \
-H "Authorization: Bearer YOUR_API_KEY" \
-F "video=@/path/to/video.mp4" \
-F "folder=root/marketing"Response (202)
{
"message": "Upload accepted and is now being processed.",
"data": {
"id": "019f2581-e0cf-719e-a060-95ef7567c7c7",
"status": 1,
"status_text": "pending"
}
}Status codes
| Status | Text |
|---|---|
| 1 | pending |
| 3 | processing |
| 5 | uploading |
| 6 | completed |
| 7 | failed |
List Upload Status
GET /uploadsReturns the last 50 uploads with in-progress or recent status.
Example request
curl "https://your-domain.com/api/client/v1/uploads" \
-H "Authorization: Bearer YOUR_API_KEY"Response
{
"data": [
{
"id": "019f2581-e0cf-719e-a060-95ef7567c7c7",
"filename": "sample.mp4",
"status": 6,
"status_text": "completed",
"created_at": "2026-07-03T12:00:00+00:00",
"updated_at": "2026-07-03T12:05:00+00:00"
}
]
}Get Upload Status
GET /uploads/{videoId}Check processing status for a single upload.
Example request
curl "https://your-domain.com/api/client/v1/uploads/{videoId}" \
-H "Authorization: Bearer YOUR_API_KEY"Errors
| Status | Description |
|---|---|
| 404 | Folder path not found, or video not in tenant |
| 500 | Upload processing error |